package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description 销售合同-保证金退还实体类
 * @Author Yafan Wang
 * @Date 2023/3/8 11:03
 */
public class SalesContractReturnBond extends BaseEntity {

    /**
     * 销售合同管理Id
     **/
    @TableField("sales_contract_management_id")
    @NotNull(message = "销售合同管理Id不能为空")
    private Long salesContractManagementId;

    /**
     * 保证金退还形式 1:退还 0:其他
     **/
    @TableField("return_type")
    @NotNull(message = "保证金退还形式不能为空")
    private Integer returnType;

    /**
     * 说明
     **/
    @TableField("remark")
    private String remark;

    @TableField(exist = false)
    private List<FileStorage> voucherFiles;

    public Long getSalesContractManagementId() {
        return salesContractManagementId;
    }

    public void setSalesContractManagementId(Long salesContractManagementId) {
        this.salesContractManagementId = salesContractManagementId;
    }

    public Integer getReturnType() {
        return returnType;
    }

    public void setReturnType(Integer returnType) {
        this.returnType = returnType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<FileStorage> getVoucherFiles() {
        return voucherFiles;
    }

    public void setVoucherFiles(List<FileStorage> voucherFiles) {
        this.voucherFiles = voucherFiles;
    }
}
